MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028193Community[OCCT] OCCT:Modeling Algorithmspublic2016-12-06 11:212017-05-19 15:36
Reporterguidovanhilst 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028193: missing "Standard_EXPORT"
DescriptionInTools_FaceFace missing "Standard_EXPORT" for "SetFuzzyValue" and "FuzzyValue"

causes unresolved linking on windows platform.

Steps To ReproduceIntTools_FaceFace missing "Standard_EXPORT" for "SetFuzzyValue" and "FuzzyValue"
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0061132)
git (administrator)
2016-12-06 12:07

Branch CR28193 has been created by aka.

SHA-1: ef04a45bbb003deaa5bab62b43826023d8a7f17b


Detailed log of new commits:

Author: aka
Date: Tue Dec 6 12:06:15 2016 +0300

    0028193: missing "Standard_EXPORT"
    
    missing "Standard_EXPORT" for "SetFuzzyValue" and "FuzzyValue" in IntTools_FaceFace was added
(0061136)
aka (developer)
2016-12-06 12:09

Please review
(0061139)
git (administrator)
2016-12-06 12:18

Branch CR28193 has been updated forcibly by aka.

SHA-1: 1e6b4cd9a2516d32a7d2c6f95ab5c2368a004440
(0061140)
msv (developer)
2016-12-06 12:20

Reviewed.
(0061153)
msv (developer)
2016-12-06 17:58

Please check only compilation. No functionality was changed that need to be tested.
(0061469)
mkv (tester)
2016-12-07 13:58

Dear BugMaster,
Branch CR28193 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1e6b4cd9a2516d32a7d2c6f95ab5c2368a004440

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1128

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91273497 / 91447901 [-0.19%]
Total CPU difference: 21974.290000000135 / 21816.620000000188 [+0.72%]
products component :
Total MEMORY difference: 29844364 / 29803095 [+0.14%]
Total CPU difference: 5311.429999999973 / 5308.749999999961 [+0.05%]

Testing on Windows:
occt component :
Total MEMORY difference: 56938599 / 56948258 [-0.02%]
Total CPU difference: 20577.03110319846 / 20501.8074209986 [+0.37%]
products component :
Total MEMORY difference: 20859003 / 20808844 [+0.24%]
Total CPU difference: 5277.997433099983 / 5254.222880699978 [+0.45%]

There are no differences in images found by testdiff.
(0061470)
mkv (tester)
2016-12-07 13:58

Dear BugMaster,
Branch CR28193 is TESTED.
(0061813)
git (administrator)
2016-12-18 10:53

Branch CR28193 has been deleted by kgv.

SHA-1: 1e6b4cd9a2516d32a7d2c6f95ab5c2368a004440

- Related Changesets
occt: master 20ef5652
Timestamp: 2016-12-06 09:06:15
Author: aka
Committer: apn
Details ] Diff ]
0028193: missing "Standard_EXPORT"

missing "Standard_EXPORT" for "SetFuzzyValue" and "FuzzyValue" in IntTools_FaceFace was added
mod - src/IntTools/IntTools_FaceFace.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-06 11:21 guidovanhilst New Issue
2016-12-06 11:21 guidovanhilst Assigned To => msv
2016-12-06 11:40 msv Assigned To msv => aka
2016-12-06 11:40 msv Status new => assigned
2016-12-06 11:40 msv Target Version => 7.2.1
2016-12-06 11:40 msv Description Updated View Revisions
2016-12-06 12:07 git Note Added: 0061132
2016-12-06 12:09 aka Note Added: 0061136
2016-12-06 12:09 aka Assigned To aka => msv
2016-12-06 12:09 aka Status assigned => resolved
2016-12-06 12:09 aka Steps to Reproduce Updated View Revisions
2016-12-06 12:18 git Note Added: 0061139
2016-12-06 12:20 msv Note Added: 0061140
2016-12-06 12:20 msv Assigned To msv => bugmaster
2016-12-06 12:20 msv Status resolved => reviewed
2016-12-06 16:22 mkv Assigned To bugmaster => mkv
2016-12-06 17:58 msv Note Added: 0061153
2016-12-07 13:58 mkv Note Added: 0061469
2016-12-07 13:58 mkv Note Added: 0061470
2016-12-07 13:58 mkv Assigned To mkv => bugmaster
2016-12-07 13:58 mkv Status reviewed => tested
2016-12-07 13:58 mkv Test case number => Not needed
2016-12-09 16:46 apn Changeset attached => occt master 20ef5652
2016-12-09 16:46 apn Assigned To bugmaster => apn
2016-12-09 16:46 apn Status tested => verified
2016-12-09 16:46 apn Resolution open => fixed
2016-12-18 10:53 git Note Added: 0061813
2017-03-03 17:41 bugmaster Target Version 7.2.1 => 7.2.0*
2017-03-06 11:56 bugmaster Target Version 7.2.0* => 7.2.1
2017-05-19 15:36 abv Target Version 7.2.1 => 7.2.0*


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker